%global srcname d2to1

Summary: Allows using distutils2-like setup.cfg files with setup.py
Name:    python-d2to1
Version: 0.2.12
Release: 7%{?dist}
License: BSD
URL: http://pypi.python.org/pypi/d2to1
Source0: https://pypi.python.org/packages/source/d/d2to1/d2to1-%{version}.post1.tar.gz

BuildArch: noarch

%description
d2to1 allows using distutils2-like setup.cfg files for a package's metadata with a
distribute/setuptools setup.py script. It works by providing a distutils2-formatted setup.cfg file
containing all of a package's metadata, and a very minimal setup.py which will slurp its arguments
from the setup.cfg.

%package -n python3-d2to1
Summary: Allows using distutils2-like setup.cfg files with setup.py
BuildRequires:  python3-devel python3-setuptools
Requires:  python3-setuptools

%description -n python3-d2to1
d2to1 allows using distutils2-like setup.cfg files for a package's metadata with a
distribute/setuptools setup.py script. It works by providing a distutils2-formatted setup.cfg file
containing all of a package's metadata, and a very minimal setup.py which will slurp its arguments
from the setup.cfg.

%prep
%autosetup -n d2to1-%{version}.post1 -p1
find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-d2to1
%license LICENSE
%doc CHANGES.rst README.rst
%{python3_sitelib}/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.12-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 15 2023 Shuo Wang <abushwang@tencent.com> - 0.2.12-1
- initial build
